Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595716 - Yum repolist not displayed for some specific subscribed entitlement
Yum repolist not displayed for some specific subscribed entitlement
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Solaris
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 08:50 EDT by spandey
Modified: 2017-11-06 11:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-06 11:01:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-05-25 08:50:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites :
Candlepin : sachtest.usersys.redhat.com
client : Rhel 6 client with SM version 60

Steps to repro : 
Login to the client with valid credentials 
subscribed for following  entitlement 
Cluster Storage 
Large File System
High Availability
Load Balance 

execute following command on console 

yum repolist 

Expected Result : 
yum repo should display for subscribed entitlement 

Actual Result : 
No Yum repolist found for subscribed Entitlement  

[root@rhel6client ~]# subscription-manager-cli list --consumed

+-------------------------------------------+

    Consumed Product Subscriptions

+-------------------------------------------+





Name:               	High Availability        

SerialNumber:       	13                       

Active:             	True                     

Begins:             	Fri Jul 13 00:00:00 2007 

Expires:            	Tue Jul 13 00:00:00 2010 





Name:               	Large File System        

SerialNumber:       	15                       

Active:             	True                     

Begins:             	Fri Jul 13 00:00:00 2007 

Expires:            	Tue Jul 13 00:00:00 2010 





Name:               	Load Balance             

SerialNumber:       	16                       

Active:             	True                     

Begins:             	Fri Jul 13 00:00:00 2007 

Expires:            	Tue Jul 13 00:00:00 2010 





Name:               	Clustered Storage        

SerialNumber:       	17                       

Active:             	True                     

Begins:             	Fri Jul 13 00:00:00 2007 

Expires:            	Tue Jul 13 00:00:00 2010 



[root@rhel6client ~]# yum repolist

Loaded plugins: refresh-packagekit, rhnplugin, rhsmplugin

Updating Red Hat repositories.

This system is not subscribed to any channels.

RHN channel support will be disabled.

repolist: 0

[root@rhel6client ~]#
Comment 1 Adrian Likins 2010-07-06 11:29:50 EDT
This shouldn't be an issue now. The products listed are no longer valid as products you can subscribe too (you now have to subscribe to the corresponding mkt product to get those svc products that have content).
Comment 2 Sudhir D 2010-08-11 05:49:33 EDT
Verified this and I'm able to see the repolist for subscribed products. Marking this bug verified.
Comment 3 John Sefler 2011-05-04 10:40:44 EDT
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.